<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>

<head>
  <title>Software Testing Automation Framework (STAF)</title>
</head>

<body>

<?php
require "top.php";
require "navigate.php";
?>

<!-- Insert text for page here -->

<tr>
<td>

<center><a name=top><h1>STAF V2 Documentation</h1></center>

<p>
<b>STAF V2 customers -- Time to move ahead!</b> 
<p>
End of service for all STAF V2 releases is planned for April 21, 2006.
We encourage you to move to STAF V3 now!
As of April 21, 2006, we will no longer fix bugs in STAF V2 and will not
release any new versions of STAF V2 (though we will continue to try to
answer STAF V2 questions). 
<p>
The following documentation is provided for the current versions of STAF V2 and STAX V2.
If you want to view documentation for STAF V3, go to the <a href="docs.php">
STAF V3 Documentation</a> page instead.
<p>
<ul>
  <li><a href="current2x/STAFFAQ.htm">STAF V2 Frequently Asked Questions (FAQ)</a><br>
  Contains frequently asked questions and answers about STAF and STAX.  You should check the
  FAQ before submitting a question to a STAF Help forum or mailing list.
  <p>
  <li><a href="current2x/STAFGS.pdf">Getting Started with STAF V2 (PDF)</a><br>
  Gets you started using STAF.  It guides you through many common tasks that are performed when using
  STAF, including a detailed examination of a demo which shows how you can instrument and leverage 
  STAF in your testing.
  <p>
  <li><a href="current2x/STAFUG.htm">STAF V2 User's Guide (HTML)</a><br>
  Contains detailed information on how to set up STAF and use STAF commands and Services.  Contains
  in-depth information including service command syntax and return codes.
  <p>
  <li><a href="current2x/staxug.pdf">STAX V2 User's Guide (PDF)</a><br>
  Contains detailed information on how to configure and use the STAX service.  Contains
  in-depth information including syntax for creating STAX XML documents, how to use the
  STAX Monitor, and examples of STAX XML documents.
  <p>
  <li><a href="current2x/STAFCMDS.htm">STAF V2 Service Command Reference (HTML)</a><br>
  Contains a quick reference to the syntax of the service commands.
  <p>
  <li><a href="current2x/STAFRC.htm">STAF V2 API Return Code Reference (HTML)</a><br>
  Contains a quick reference to the STAF return codes.
  <p>
  <li><a href="current2x/STAFTcl.htm">Tcl User's Guide for STAF V2 (HTML)</a><br>
  This document describes STAF's support for the Tcl language.  It includes
  information on the core STAF Tcl APIs as well as the wrappers provided for 
  the Monitor and Log services.
  <p>
  <li><a href="current2x/STAFPerl.htm">Perl User's Guide for STAF V2 (HTML)</a><br>
  This document describes STAF's support for the Perl language.  It includes
  information on the core STAF Perl APIs as well as the wrappers provided for
  the Monitor and Log services.
  <p>
  <li><a href="current2x/STAFPython.htm">Python User's Guide for STAF V2 (HTML)</a><br>
  This document describes STAF's support for the Python language.  It includes
  information on the core STAF Python APIs as well as the wrappers provided for
  the Monitor and Log services.
  <p>
  <li><a href="current2x/stafdg.html">STAF V2 Developer's Guide (HTML)</a><br>
  Contains detailed information on how to build STAF.  It will walk you through
  the process of obtaining the STAF source code and setting up your build environment.
  STAF developers are the intended audience for this document.
  <p>
  <li><a href="current2x/stafsdg.html">STAF V2 Service Developer's Guide (HTML)</a><br>
   This document describes how you create STAF services, and includes
   implementation of a sample service in both Java and C++.
  <p>
  <li><a href="current2x/staxdg.html">STAX V2 Extensions Developer's Guide (HTML)</a><br>
   This document describes how you create extensions for STAX.&nbsp;
   Extensions to the STAX service can be written which define new elements
   that can be used in a STAX xml file. In addition, extensions to the STAX
   Monitor can be written which define new plug-in views which can be displayed
   via the STAX Monitor. 
</ul>

<p>

</td>
</tr>

<!-- end of text for page -->

<?php
require "bottom.php";
?>

</body>
</html>
